Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SSPTRI

    java.lang.Object
      org.netlib.lapack.SSPTRI

    public class SSPTRI

extends java.lang.Object

    SSPTRI is a simplified interface to the JLAPACK routine ssptri.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSPTRI computes the inverse of a real symmetric indefinite matrix
     *  A in packed storage using the factorization A = U*D*U**T or
     *  A = L*D*L**T computed by SSPTRF.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the details of the factorization are stored
     *          as an upper or lower triangular matrix.
     *          = 'U':  Upper triangular, form is A = U*D*U**T;
     *          = 'L':  Lower triangular, form is A = L*D*L**T.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  AP      (input/output) REAL array, dimension (N*(N+1)/2)
     *          On entry, the block diagonal matrix D and the multipliers
     *          used to obtain the factor U or L as computed by SSPTRF,
     *          stored as a packed triangular matrix.
     *
     *          On exit, if INFO = 0, the (symmetric) inverse of the original
     *          matrix, stored as a packed triangular matrix. The j-th column
     *          of inv(A) is stored in the array AP as follows:
     *          if UPLO = 'U', AP(i + (j-1)*j/2) = inv(A)(i,j) for 1<=i<=j;
     *          if UPLO = 'L',
     *             AP(i + (j-1)*(2n-j)/2) = inv(A)(i,j) for j<=i<=n.
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          Details of the interchanges and the block structure of D
     *          as determined by SSPTRF.
     *
     *  WORK    (workspace) REAL array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument had an illegal value
     *          > 0: if INFO = i, D(i,i) = 0; the matrix is singular and its

     *               inverse could not be computed.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SSPTRI()`

Method Summary
`static void` | `SSPTRI(java.lang.String uplo, int n, float[] ap, int[] ipiv, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSPTRI

    public SSPTRI()

Method Detail

### SSPTRI

    public static void SSPTRI(java.lang.String uplo,
                              int n,
                              float[] ap,
                              int[] ipiv,
                              float[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD